/**
 * Copyright (c) 2000-2013 Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.portal.kernel.dao.orm;

/**
 * @author Brian Wing Shun Chan
 */
public interface SQLQuery extends Query {

	public SQLQuery addEntity(String alias, Class<?> entityClass);

	public SQLQuery addScalar(String columnAlias, Type type);

	public SQLQuery addSynchronizedEntityClass(Class<?> entityClass);

	public SQLQuery addSynchronizedEntityClasses(Class<?>... entityClasses);

	public SQLQuery addSynchronizedEntityName(String entityName);

	public SQLQuery addSynchronizedEntityNames(String... entityNames);

	public SQLQuery addSynchronizedQuerySpace(String querySpace);

	public SQLQuery addSynchronizedQuerySpaces(String... querySpaces);

}